Skip to main content
GET
Get a site file

Authorizations

x-api-key
string
header
required

Send the API key in the x-api-key header.

Path Parameters

id
string
required

Site id the files belong to. Site id. Newer ids are ovaid-<uuid>; legacy sites may have bare (e.g. numeric) ids.

Minimum string length: 1
Example:

"ovaid-2b6d4d8e-9f1a-4b2c-8d4e-5f6011223344"

fileId
string<uuid>
required

Site file id.

Example:

"9f1a2b3c-4d5e-4f60-8a1b-2c3d4e5f6071"

Response

Site file metadata and download URL

id
string<uuid>
required
fileName
string
required
contentType
string
required
size
integer
required
uploadedBy
string | null
required
pinnedAt
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
downloadUrl
string
required
downloadUrlExpiresAt
string<date-time>
required